com.r3corda.core.node / NodeInfo

# NodeInfo

`data class NodeInfo`

Info about a network node that acts on behalf of some form of contract party.

### Constructors

<init> | `NodeInfo(address: SingleMessageRecipient, legalIdentity: Party, advertisedServices: List<ServiceEntry> = emptyList(), physicalLocation: PhysicalLocation? = null)` Info about a network node that acts on behalf of some form of contract party.

### Properties

address | `val address: SingleMessageRecipient`
advertisedServices | `var advertisedServices: List<ServiceEntry>`
legalIdentity | `val legalIdentity: Party`
notaryIdentity | `val notaryIdentity: Party`
physicalLocation | `val physicalLocation: PhysicalLocation?`

### Functions

serviceIdentities | `fun serviceIdentities(type: ServiceType): List<Party>`